@import url('https://fonts.googleapis.com/css2?family=Lato:ital,wght@0,300;0,400;0,700;1,300;1,400;1,700&display=swap');

* {
  box-sizing: border-box;
}

html {
  font-family: 'Lato', sans-serif;
}

body {
  min-height: 100vh;
  margin: 0;
}

main {
  max-width: 1200px;
  width: 100%;
  margin: 0 auto 50px;
}

.clock {
  margin: 50px auto;
  position: relative;
  width: 300px;
  height: 300px;
  border: 1px solid #a51c00;
  border-radius: 50%;
}

.clock:before {
  content: '';
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  border: 4px solid #a51c00;
  border-radius: 50%;
  z-index: 1;
}

.hour-arrow,
.minute-arrow {
  position: absolute;
  left: 50%;
  background-color: #a51c00;
  transform-origin: bottom left;
}

.hour-arrow {
  top: 69px;
  width: 2px;
  height: 80px;
  transform: rotateZ(0);
  animation: hour-arrow 120s infinite linear;
}

.minute-arrow {
  top: 19px;
  width: 2px;
  height: 130px;
  transform: rotateZ(0);
  animation: minute-arrow 20s infinite linear;
}

@keyframes minute-arrow {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);
  }
}

@keyframes hour-arrow {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);
  }
}

.curtains {
  margin: 50px auto;
  position: relative;
  display: inline-flex;
  justify-content: center;
  width: 100%;
  height: 200px;
}

.curtains p {
  margin: 0;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}

.curtain {
  width: 300px;
  height: 100%;
  background-color: #2bded8;
  border: 2px solid #286a68;
  cursor: pointer;
  transition: transform 0.3s ease-in-out;
  z-index: 1;
}

.curtains:hover .curtain-left {
  transform: matrix3d(1, 0, 0, 0.004, 0, 1, 0, 0, 0, 0, 1, 1, 0, 0, 0, 1.4);
}

.curtains:hover .curtain-right {
  transform: matrix3d(1, 0, 0, -0.004, 0, 1, 0, 0, 0, 0, 1, 1, 0, 0, 0, 1.4);
}

.fruits {
  margin: 0 auto;
  position: relative;
  display: flex;
  width: 150px;
  height: 150px;
  cursor: pointer;
}

.fruits img {
  position: absolute;
  top: 50%;
  left: 50%;
  width: 40px;
  height: 40px;
}

.kivi {
  transition: transform 0.3s 0.1s linear;
}
.apple {
  transition: transform 0.3s 0.3s linear;
}
.strawberry {
  transition: transform 0.3s 0.5s linear;
}
.mango {
  transition: transform 0.3s 0.7s linear;
}

.fruits:hover .kivi {
  transform: translate(-70px, -40px);
}
.fruits:hover .apple {
  transform: translate(-30px, -80px);
}
.fruits:hover .strawberry {
  transform: translate(30px, -80px);
}
.fruits:hover .mango {
  transform: translate(75px, -40px);
}
